Skip to main content
POST
Browse across a resource includes

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

partitionKey
string
required
collectionKey
string
required

Key of the collection.

resourceId
string
required

The unified resource id.

Body

application/json

Parameters to initiate or continue a browse includes session. To initiate a session, provide the list of includes to browse and optionally the number of results to return per page. To continue a session, provide the cursor returned from a previous response.

cursor
string

The cursor representing the current BrowseIncludes session.

includes
string[]

The list of includes to browse. It can be used to include only a relationship (e.g. worksAt) or a relationship and the targeted resource (e.g. worksAt.clinic).

perPage
integer

The number of results to return per batch. Defaults to 100.

Required range: 1 <= x <= 1000

Response

A successful response containing the first batch of results and a cursor to continue browsing. 5 minutes after the request, the cursor will expire and a 404 error will be returned if you try to continue browsing.

hits
object[]
required
meta
object
required

Metadata about the browse session, including the cursor and the total number of results available in the browse session.